# encoding: utf-8

def self.add_to_path path
 path = File.expand_path "../#{path}/", __FILE__

 $:.unshift path unless $:.include? path
end

add_to_path 'lib'

require 'strings_from_apk/version'

Gem::Specification.new do |s|
  # 1.8.x is not supported
  s.required_ruby_version = '>= 1.9.3'

  s.name = 'strings_from_apk'
  s.version = StringsFromApk::VERSION
  s.date = StringsFromApk::DATE
  s.license = 'http://www.apache.org/licenses/LICENSE-2.0.txt'
  s.description = s.summary = 'Ruby lib for extracting strings from APK'
  s.description += '.' # avoid identical warning
  s.authors = s.email = [ 'code@bootstraponline.com' ]
  s.homepage = 'https://github.com/bootstraponline/strings_from_apk_gem' # published as appium_lib
  s.require_paths = [ 'lib' ]

  s.add_runtime_dependency 'json', '~> 1.7.7'

  s.files = `git ls-files`.split "\n"
end
